Php 5.5 or 5.6


#1

Hi,

We are on PIWIK 2.8.3. I am about to recommend they upgrade php on this server from 5.3.3. Is there
a recommendation of upgrading to 5.5.x or 5.6.x?

This is the output from php -version:
PHP 5.3.3 (cli) (built: Dec 5 2013 07:09:40)
Copyright © 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright © 1998-2010 Zend Technologies

and uname -a gives:
Linux piwik.gpc.edu. 2.6.32-431.17.1.el6.x86_64 #1 SMP Fri Apr 11 17:27:00 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux

Thanks,
Douglas


#2

would love to know too as I am about to setup piwik and intend to use PHP 5.6.2 unless there’s reasons not to :slight_smile:


(Matthieu Aubry) #3

As far as we know it should be OK to use PHP 5.6 (our tests run on 5.6 Piwik Quality Assurance - Analytics Platform - Matomo )
if you have any feedback feel free to report an issue: Issues · matomo-org/piwik · GitHub